﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-top: 30px;
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select {
    max-width: 280px;
    padding: 0px 2px;
}

    input[type='number'] {
        -moz-appearance: textfield;
    }

    input {margin:0px;}
/* Icons */
.button-icon {
    width: 16px;
    height: 16px;
    display: inline-block;
    margin-right: 3px;
    cursor: pointer;
    vertical-align: text-bottom;
}

.bigbutton {
    background-color: #2a5c2c; /* Green */
    border: none;
    color: white;
    padding: 10px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 1.0em;
    border-radius: 15px;
    cursor: pointer;
}

    .bigbutton:hover {
        background-color: #4CAF50; /* Green */
    }

a.bigbutton:link {
    text-decoration: inherit;
    color: white;
    cursor: pointer;
}

a.bigbutton:visited {
    text-decoration: inherit;
    color: white;
    cursor: pointer;
}
.selected {
    background-color: #4CAF50;
}

.disabled {
    color:gray;
    background-color:white;
    cursor:default;
}

.glyphicon-backward {
    background: url(images/left-double.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.glyphicon-forward {
    background: url(images/right_double.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.glyphicon-chevron-right {
    background: url(images/arrow-forward.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.glyphicon-chevron-left {
    background: url(images/arrow-back.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.expand-icon-32 {
    background: url(images/expand-32.png) left top no-repeat;
    width: 32px;
    height: 32px;
    display: inline-block;
}

.collapse-icon-32 {
    background: url(images/collapse-32.png) left top no-repeat;
    width: 32px;
    height: 32px;
    display: inline-block;
}
.reset-icon {
    background: url(images/refresh.png) left top no-repeat;
}

.checkmark-icon {
    background: url(images/checkmark.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.email-icon {
    background: url(images/email.gif) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.run-icon {
    background: url(images/run.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.dollar-icon {
    background: url(images/dollar.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}
.adduser-icon {
    background: url(images/user-plus-16.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.unlock-icon {
    background: url(images/unlock.png) left center no-repeat;
}

.eyes-icon {
    background: url(images/eyes-icon.png) left center no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.circle-unchecked-icon {
    background: url('images/check-circle-outline-blank-16.png') left center no-repeat;
}

.circle-checked-icon {
    background: url('images/circle-check-16.png') left center no-repeat;
}

.lock-icon {
    background: url(images/lock.png) left center no-repeat;
}

.blockuser-icon {
    background: url(images/blockuser.png) left center no-repeat;
}

.blockgroup-icon {
    background: url(images/BlockGroup.png) left center no-repeat;
}

.edit-icon {
    background: url(images/pencil-16.png) left center no-repeat;
}

.money-icon {
    background: url(images/Money.png) left center no-repeat;
}

.creditcard-icon {
    background: url(images/Credit-visa-icon.png) left center no-repeat;
}

.excel-icon {
    background: url(images/excel.png) left center no-repeat;
}

.details-icon {
    background: url(images/details.png) left center no-repeat;
}

.delete-icon {
    background: url(images/delete.png) left center no-repeat;
}

.print-icon {
    background: url(images/print.png) left center no-repeat;
}

.back-icon {
    background: url(images/back.png) left center no-repeat;
}

.save-icon {
    background: url(images/save.png) left center no-repeat;
}

.add-icon {
    background: url(images/add.png) left center no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
}

.cancel-icon {
    background: url(images/cancel.png) left center no-repeat;
}

.search-icon {
    background: url(images/search.png) left center no-repeat;
}

.complete-icon {
    background: url(images/complete.png) left center no-repeat;
}

.uncomplete-icon {
    background: url(images/uncomplete.png) left center no-repeat;
}

.calculator-icon {
    background: url(images/calculator.png) left center no-repeat;
}

.copy-icon {
    background: url(images/copy.png) left center no-repeat;
}

.attach-icon {
    background: url(images/attach.png) left center no-repeat;
}

.detach-icon {
    background: url(images/detach.png) left center no-repeat;
}

.trash-icon {
    background: url(images/trash.png) left center no-repeat;
}

.previous-icon {
    background: url(images/previous.png) left center no-repeat;
}

.next-icon {
    background: url(images/next.png) left center no-repeat;
}

.success-icon {
    background: url(images/checkmark.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: text-bottom;
}

.fail-icon {
    background: url(images/delete.png) left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: text-bottom;
}

.switch-on-icon {
    background: url(images/switch-on-icon.png) left center no-repeat;
}

.switch-off-icon {
    background: url(images/switch-off-icon.png) left center no-repeat;
}

.download-icon {
    background: url(images/download.png) left center no-repeat;
}

.upload-icon {
    background: url(images/upload.png) left center no-repeat;
}

.unrelease-icon {
    background: url(images/unlock.png) left center no-repeat;
}

.release-icon {
    background: url(images/lock.png) left center no-repeat;
}

.reorder-icon {
    background: url(images/reorder.png) left center no-repeat;
}

.print-icon {
    background: url(images/Print.png) left center no-repeat;
}

div#spinner {
    display: none;
    width: 160px;
    height: 160px;
    position: fixed;
    top: 50%;
    left: 50%;
    background: url(images/naiia-loader.gif) no-repeat center;
    text-align: center;
    padding: 10px;
    font: normal 16px Tahoma, Geneva, sans-serif;
    /*border:1px solid #666;*/
    margin-left: -50px;
    margin-top: -50px;
    z-index: 2;
    overflow: auto;
}

.btn-default {
    padding: 3px 6px;
    background-color: lightblue;
}

.btn-primary {
    padding: 3px 6px;
    background-color: lightblue;
    color:black;
}


.taboption {
    border: 1px solid black;
    padding: 7px 14px;
    border-radius: 5px 5px 0px 0px;
    color: white;
    cursor: pointer;
    background-color: #343a40;
    text-decoration: none;
    white-space: nowrap;
}

    .taboption:hover {
        background-color: cornflowerblue;
    }

.tabstrip {
    padding: 0px 0px 0px 0px;
    border-bottom: 1px solid black;
    background-color: #eeeeee;
    line-height:35px;
}

.tabselected {
    color: white;
    background-color: dodgerblue;
}

    .tabselected:hover {
        color: white;
        background-color: dodgerblue;
    }

.directortab {
    border: 1px solid black;
    padding: 7px 14px;
    border-radius: 5px 5px 0px 0px;
    color: #454545;
    cursor: pointer;
    background-color: white;
    text-decoration: none;
    display:inline-block;
}

div.copyright {
    display: block;
    position: fixed;
    bottom: 0;
    right: 0;
    width: 100%;
    background: #eee;
    border: 1px solid #ddd;
    z-index:1;
}

table.formtable td, th {
    padding: 0px 5px 0px 5px;
    vertical-align: top;
}

td.formlabel, div.formlabel {
    text-align: right;
    font-weight: bold;
    padding-right: 5px;
    display: inline;
}

td.fielddisplay, div.fielddisplay {
    text-align: left;
    font-weight: bold;
    color: blue;
    display: inline;
}

td.numericdisplay, div.numericdisplay {
    text-align: right;
    font-weight: bold;
    color: blue;
    display: inline;
}


fieldset {
    font-family: sans-serif;
    border: 5px solid #1F497D;
    background: #eeeeee;
    border-radius: 5px;
    padding: 0px 15px 0px 15px;
}

    fieldset legend {
        background: #1F497D;
        color: #fff;
        padding: 2px 5px;
        font-size: 1.2em;
        border-radius: 5px;
        box-shadow: 0 0 0 5px #ddd;
        margin-left: 0px;
        margin-bottom: 0px;
        width: auto;
    }


.fieldlabel {
    text-align: right;
    font-weight: bold;
    color: black;
    display: inline;
    padding-right: 3px
}

.fielddisplay {
    text-align: left;
    font-weight: bold;
    color: blue;
    display: inline;
    padding-right: 10px;
}

.fieldedit {
    text-align: left;
    font-weight: bold;
    color: blue;
    display: inline;
    padding-right: 10px;
}

.changed {
    color:magenta;
}

.changedlabel {
    color: darkmagenta;
}

.rightside {
    float: right;
}

.smallnumber {
    width: 50px;
}

.number {
    width: 100px;
}

.string-long {
    width: 400px;
    max-width: 400px;
}

.string-verylong {
    width: 600px;
    max-width: 600px;
}

.string-medium {
    width: 300px;
    max-width: 300px;
}

.string-short {
    width: 120px;
}

.string-veryshort {
    width: 60px;
}

.string-tiny {
    width: 35px;
}

.datefield {
    width: 100px;
}

.navbar-nav > li > a.MainMenuSelectedTab {
    color: yellow;
    font-size: 1.5em;
}

.notimplemented {
    color: gray;
}

.uppercase {
    text-transform: uppercase;
}

.center {
    text-align: center;
}

.right {
    text-align: right;
}

.left {
    text-align: left;
}

.italic {
    font-style: italic;
}

.bold {
    font-weight: bold;
}
.red {
    color: red;
}

tr.jobopen td {
    color: black;
}

tr.jobcomplete td {
    color: green;
}

tr.jobinvoiced td {
    color: blue;
}

table.bordered td, th {
    border: 1px solid black;
    padding: 2px 5px;
}

.scrollable {
    height: 600px; /* Just for the demo          */
    overflow-y: auto; /* Trigger vertical scroll    */
    display: block;
}

.voided {
    color: lightgray;
}

#img {
    position: absolute;
    width: 1124px; /*image width */
    height: 633px; /*image height */
}

/* Mike changes
table.greenbar tr:nth-child(even) {
    background-color: #eeeeee;
}


*/

.divider {
    width: 100%;
    text-align: left;
    border-bottom: 3px solid #000;
    line-height: 0.1em;
    margin: 10px 0 10px;
    padding-left: 20px;
}

.divider span {
    color: white;
    background-color: dodgerblue;
    padding: 5px 10px;
    font-weight: bold;
}

.homepage {
    left: 0;
    margin: auto;
    position: absolute;
    top: 50%;
    width: 100%;
    text-align: center;
}

.legendid {
    color:yellow;
}

table.dataTable tbody th, table.dataTable tbody td {
    padding: 2px 4px;
}

table.dataTable thead th, table.dataTable thead td {
    padding: 2px 5px;
    border-bottom: 1px solid #111;
    background-color:lightgray;
   
}

.dataTables_wrapper .dataTables_filter{
    float:left;
    /*display:inline-block;*/
}

.dataTables_wrapper .dataTables_length {
    float: right;
    text-align: right;
}

.dataTables_wrapper .dataTables_paginate {
    float: left;
    /*display: inline-block;*/
}

.dataTables_wrapper .dataTables_info {
    float: right;
    text-align: right;
}

.dataTables_wrapper .dt-buttons {
    /*display: inline-block;*/
    float: right;
    padding-left: 10px;
}

/* Mike changes
.dataTables_wrapper {
    background-color: #d5e5f3;
    border: 2px solid black;
    padding: 5px;
}
*/

.appletdiv {
    border:solid 2px blue; 
    margin:5px; 
    padding:5px; 
    background-color:lightgray;
}

/* Mike changes */

table.dataTable thead th, table.dataTable thead td {
    background-color: #428bca;
    color: ghostwhite;
}

.dataTables_wrapper {
    background-color: #d5e5f3;
    border: 2px solid black;
    padding: 5px;
}

table.greenbar tr:nth-child(even) {
    background-color: #f1f6fb;
}

.navbar-inverse .navbar-nav > li > a {
    color: white;
    font-size: 1.3em;
    padding: 10px 10px;
}

    .navbar-inverse .navbar-nav > li > a:hover {
        color: ghostwhite;
        background-color: #428bca;
        text-decoration: none;
    }

.nav-login > a {
    color: white;
    font-size: 1.3em;
    padding: 10px 10px;
}

    .nav-login > a:hover {
        color: ghostwhite;
        background-color: #428bca;
        text-decoration: none;
    }

.navbar-nav > li > a.MainMenuSelectedTab {
    color: #007bff;
}

.navbar-inverse .navbar-brand {
    color: white;
}


.navbar-brand:hover {
        color: ghostwhite;
        background-color: #428bca;
        text-decoration: none;
    }

.vtabstrip {
    padding-right:10px;
}

.validation-summary-errors {
    color:red;
}

.fixed {
    font-family:monospace;
}

hr {
    border-top-width:5px;
}

.circle {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    font-size: 12px;
    color: white;
    line-height: 25px;
    text-align: center;
    background: red;
    font-weight: bold;
}

.badge {
    background: radial-gradient( 5px -9px, circle, white 8%, red 26px );
    background: -moz-radial-gradient( 5px -9px, circle, white 8%, red 26px );
    background: -ms-radial-gradient( 5px -9px, circle, white 8%, red 26px );
    background: -o-radial-gradient( 5px -9px, circle, white 8%, red 26px );
    background: -webkit-radial-gradient( 5px -9px, circle, white 8%, red 26px );
    background-color: red;
    border: 2px solid white;
    border-radius: 12px; /* one half of ( (border * 2) + height + padding ) */
    box-shadow: 1px 1px 1px black;
    color: white;
    font: bold 15px/13px Helvetica, Verdana, Tahoma;
    /*height: 16px;
    padding: 4px 3px 0 3px;*/
    text-align: center;
    vertical-align: top;
    min-width: 14px;
}

.bg-test-mode {
    background-color: #0099CC;
}
.bg-live-mode {
    background-color: #212121;
}

.bg-dev-mode {
    background-color: #c62828;
}

.multiselect-col {
    float: left;
    padding: 10px;
    min-height: 400px;
}

.multiselect-row {
    width: 100%;
}
    /* Clear floats after the columns */
    .multiselect-row:after {
        content: "";
        display: table;
        clear: both;
    }

.multiselect-col select {
    height: 400px;
}

input::-ms-reveal,
input::-ms-clear {
    display: none;
}

.regular-checkbox {
    display: none;
}

    .regular-checkbox + label {
        background-color: #fafafa;
        border: 1px solid #cacece;
        box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px -15px 10px -12px rgba(0,0,0,0.05);
        padding: 9px;
        border-radius: 3px;
        display: inline-block;
        position: relative;
        vertical-align: bottom;
        margin-right: 5px;
        margin-bottom: 11px;
    }

        .regular-checkbox + label:active, .regular-checkbox:checked + label:active {
            box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px 1px 3px rgba(0,0,0,0.1);
        }

    .regular-checkbox:checked + label {
        background-color: #fafafa;
        border: 1px solid #adb8c0;
        box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px -15px 10px -12px rgba(0,0,0,0.05), inset 15px 10px -12px rgba(255,255,255,0.1);
        color: #99a1a7;
        vertical-align: bottom;
    }

        .regular-checkbox:checked + label:after {
            content: '\2714';
            font-size: 14px;
            position: absolute;
            top: 0px;
            left: 3px;
            color: blue;
        }

    .regular-checkbox:disabled + label {
        background-color: #e9ecee;
    }

.paybutton {
    background-image: linear-gradient(#7dc5ee,#008cdd 85%,#30a2e4); 
    color: white; 
    font-weight: bold; 
    font-size: 0.875em; 
    border-radius: 5px; 
    border: 0; 
    padding: 6px 12px;
}

input:disabled,select:disabled {
    color: blue;
    font-weight: bold;
}